Package rdkit :: Package Chem :: Package Features :: Module ShowFeats

[hide private]
[frames] | no frames]

# Module ShowFeats

source code

Functions | [hide private]

_getVectNormal(v, tol=1e-4) | source code

_buildCanonArrowhead(headFrac, nSteps, aspect) | source code

_cgoArrowhead(viewer, tail, head, radius, color, label, headFrac=0.3, nSteps=10, aspect=.5) | source code

ShowArrow(viewer, tail, head, radius, color, label, transparency=0, includeArrowhead=True) | source code

ShowMolFeats(mol, factory, viewer, radius=0.5, confId=-1, showOnly=True, name='', transparency=0.0, colors=None, excludeTypes=[], useFeatDirs=True, featLabel=None, dirLabel=None, includeArrowheads=True, writeFeats=False, showMol=True, featMapFile=False) | source code

Variables | [hide private]

| _version = `"0.3.2"`
| _usage = ``...``
| _welcomeMessage = `"This is ShowFeats version %s" %(_version)`
| logger = `logging.logger()`
| _featColors = `{'Donor':(0, 1, 1), 'Acceptor':(1, 0, 1), 'NegIo`...``
| _canonArrowhead = `None` hash(x)
| _globalArrowCGO = `[]`
| _globalSphereCGO = `[]`
| BEGIN = `2`
| END = `3`
| TRIANGLE_FAN = `6`
| COLOR = `6`
| VERTEX = `4`
| NORMAL = `5`
| SPHERE = `7`
| CYLINDER = `9`
| ALPHA = `25`
| parser = `OptionParser(_usage, version= '%prog '+ _version)`

Imports: math, logging, Geometry, FeatDirUtils, sys, os, getopt, RDConfig, OptionParser

Variables Details | [hide private]

### _usage

Value:

      """
         ShowFeats [optional args] <filenames>

        if "-" is provided as a filename, data will be read from stdin (the
      console)
      """

### _featColors

Value:

      {'Donor':(0, 1, 1), 'Acceptor':(1, 0, 1), 'NegIonizable':(1, 0, 0), 'P
      osIonizable':(0, 0, 1), 'ZnBinder':(1,.5,.5), 'Aromatic':(1,.8,.2), 'L
      umpedHydrophobe':(.5,.25, 0), 'Hydrophobe':(.5,.25, 0),}